[SciPy-dev] gui_thread and wxPython-2.5.2.8

Prabhu Ramachandran prabhu at aero.iitm.ernet.in
Sat Oct 2 08:24:11 CDT 2004


>>>>> "FP" == Fernando Perez <Fernando.Perez at colorado.edu> writes:

    >> Hmm, thats very strange.  I don't get this error on 2.5.x *but*
    >> on any complex application I do get hard to debug, wierd and
    >> random errors.  So it appears that all is not well.  Also, does
    >> wxPython-2.4.x have a 'wx/' directory in sys.path?  If that is
    >> not the case, _import_wx_core

    FP> This is my sys.path:

    FP> In [6]: wx?  Type: module Base Class: <type 'module'> String
    FP> Form: <module 'wx' from
    FP> '/usr/lib/python2.3/site-packages/wx/__init__.pyc'>

Hmm, in my lab's 2.4.0.7 install there is no such wx directory.  Does
your 'wx' directory have any extension modules?

cheers,
prabhu




More information about the Scipy-dev mailing list